package widebase.rq.interface

import msgpack.rpcx.interface.AuthInterface

/** Consumer interface for consumers.
 *
 * @author myst3r10n
 */
trait ProducerInterface extends ControlInterface {

  override def login(username: String, password: String): String
  override def logout(authId: String)
  override def remoteShutdown(authId: String)

  /** Upsert records into broker.
   *
   * @param authId of producer
   * @param name of table
   * @param bytes of records
   */
  def upsert(authId: String, name: String, bytes: Array[Byte])

}

